{
  "sd-attachment-ex": {
    "description": "集成了indidoc和wps控件的组件\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdattachmentex)",
    "attributes": [
      "form-id",
      "bean-id",
      "v-model",
      "selected-keys",
      "group-id",
      "read-only",
      "max",
      "max-file-size",
      "cat-num",
      "accept",
      "reject-message",
      "filename-max-length",
      "show-selection",
      "cat-num-to-hide",
      "get-taoda-value",
      "get-template-url",
      "get-seal-url",
      "clean-copy",
      "red-header",
      "put-seal-on",
      "change-file-format",
      "accept-zw-type",
      "track-changes",
      "enable-attachment-ex-tab",
      "water-mark",
      "plugin-name",
      "show-mark",
      "get-category",
      "categories",
      "input",
      "change",
      "update:selectedKeys",
      "@input",
      "@change",
      "@update:selectedKeys"
    ]
  },
  "sd-attachment": {
    "description": "纯js附件组件\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdattachment)",
    "attributes": [
      "form-id",
      "bean-id",
      "v-model",
      "selected-keys",
      "list-type",
      "group-id",
      "read-only",
      "max",
      "max-file-size",
      "cat-num",
      "accept",
      "reject-message",
      "filename-max-length",
      "show-selection",
      "cat-num-to-hide",
      "input",
      "change",
      "update:selectedKeys",
      "@input",
      "@change",
      "@update:selectedKeys"
    ]
  },
  "sd-business-type-picker": {
    "description": "input框，通过弹出对话框选择业务类型\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdbusinesstypepicker)",
    "attributes": [
      "single",
      "single-column",
      "v-model",
      "read-only",
      "disabled-keys",
      "required",
      "parent-code",
      "cancel",
      "@cancel"
    ]
  },
  "sd-calendar": {
    "description": "vue-cal的包装，适配了当前主题\n\r具体用法请参考：https://antoniandre.github.io/vue-cal/\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdcalendar)",
    "attributes": []
  },
  "sd-child-table": {
    "description": "主子表、动态表格字段\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdchildtable)",
    "attributes": [
      "v-model",
      "fields",
      "read-only",
      "label",
      "columns",
      "show-selection",
      "change",
      "@change"
    ]
  },
  "sd-data-table-ex": {
    "description": "为了项目上能快速实现一个增删查改的模块，我们提供了组件 SdDataTableEx\n\r该组件需要配合固定格式的接口实现\n\r\n\r获取列表 api/framework/v1/page/businessList\n\r获取详情 api/framework/v1/page/wp/${pageId}?id={beanId}\n\r保存数据 api/framework/v1/page/handleData\n\r删除数据 api/framework/v1/page/${formId}?ids={beanId1},{beanId2}\n\r权限控制 api/framework/v1/user-perm/my-authed-perms\n\r\n\r* 8.0.12新增\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sddatatableex)",
    "attributes": [
      "columns",
      "show-header",
      "show-selection",
      "actions",
      "search-fields",
      "filter-expressions",
      "pagination",
      "hide-pagination",
      "form-id",
      "page-id",
      "data-url",
      "modal-props",
      "detailModalShow",
      "recordsDeleted",
      "recordSaved",
      "tableDataLoaded",
      "formBtnClick",
      "@detailModalShow",
      "@recordsDeleted",
      "@recordSaved",
      "@tableDataLoaded",
      "@formBtnClick"
    ]
  },
  "sd-data-table": {
    "description": "数据表格，自动处理翻页、搜索、列排序等功能\n\r如果需要增删改等功能，请使用增强版表格：<a href=\"#sddatatableex\">SdDataTableEx\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sddatatable)",
    "attributes": [
      "columns",
      "show-header",
      "show-selection",
      "actions",
      "search-fields",
      "filter-expressions",
      "pagination",
      "hide-pagination",
      "data-url",
      "row-key",
      "process-req",
      "process-res",
      "rowClick",
      "dataLoaded",
      "@rowClick",
      "@dataLoaded"
    ]
  },
  "sd-detail-form": {
    "description": "查看、编辑、新建一条记录。一般情况下不需要单独使用它，因为 SdDataTableEx 已经包含了这部分功能。\n\r该组件需要配合固定格式的接口实现\n\r\n\r获取详情 api/framework/v1/page/wp/${pageId}?id={beanId}\n\r保存数据 api/framework/v1/page/handleData\n\r\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sddetailform)",
    "attributes": [
      "page-id",
      "record-id",
      "close",
      "actionBtnClick",
      "saved",
      "@close",
      "@actionBtnClick",
      "@saved"
    ]
  },
  "sd-detail-modal": {
    "description": "查看、编辑、新建一条记录。一般情况下不需要单独使用它，因为 SdDataTableEx 已经包含了这部分功能。\n\r与 SdDetailForm 的区别是：一个在当前页查看，一个弹出对话框。\n\r该组件需要配合固定格式的接口实现\n\r\n\r获取详情 api/framework/v1/page/wp/${pageId}?id={beanId}\n\r保存数据 api/framework/v1/page/handleData\n\r\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sddetailmodal)",
    "attributes": [
      "page-id",
      "record-id",
      "modal-props",
      "closed",
      "saved",
      "actionBtnClick",
      "@closed",
      "@saved",
      "@actionBtnClick"
    ]
  },
  "sd-draggable-modal": {
    "description": "可拖拽的对话框，与 a-modal 用法相同并全局替换了 a-modal\n\r* 8.0.11新增\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sddraggablemodal)",
    "attributes": []
  },
  "sd-draggable": {
    "description": "拖拽排序组件。包装 Vue.Draggable，增加动画效果和占位符效果\n\r具体参数请参考 https://github.com/SortableJS/Vue.Draggable\n\r* 8.0.4新增\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sddraggable)",
    "attributes": ["disabled", "title"]
  },
  "sd-echart": {
    "description": "Echart图表组件。包装vue-echarts，适配当前主题\n\r具体参数请参考 https://github.com/ecomfe/vue-echarts/blob/master/README.zh_CN.md#props-%E5%9D%87%E4%B8%BA%E5%93%8D%E5%BA%94%E5%BC%8F\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdechart)",
    "attributes": []
  },
  "sd-flow-picker": {
    "description": "input框，通过弹出对话框选择流程\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdflowpicker)",
    "attributes": [
      "single",
      "single-column",
      "v-model",
      "read-only",
      "disabled-keys",
      "required",
      "cancel",
      "@cancel"
    ]
  },
  "sd-form-colgroup": {
    "description": "设置table列宽，通常搭配sd-form下的table使用\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdformcolgroup)",
    "attributes": ["columns"]
  },
  "sd-form-item-td": {
    "description": "带 label 和 input 框的表单项。与 SdFormItem 的差别是会渲染为两个 td，可以完全控制布局\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdformitemtd)",
    "attributes": [
      "name",
      "label",
      "hidden",
      "range-after",
      "input-props",
      "parse-backend-value",
      "to-backend-value",
      "get-display-value",
      "component",
      "label-td-attrs",
      "input-td-attrs",
      "colspan"
    ]
  },
  "sd-form-item": {
    "description": "带 label 和 input 框的表单项\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdformitem)",
    "attributes": [
      "name",
      "label",
      "hidden",
      "range-after",
      "input-props",
      "parse-backend-value",
      "to-backend-value",
      "get-display-value",
      "component"
    ]
  },
  "sd-form": {
    "description": "自动生成表单界面，包括校验、不同类型字段的显示\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdform)",
    "attributes": ["init-values", "read-only", "description"]
  },
  "sd-foxit-reader": {
    "description": "\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdfoxitreader)",
    "attributes": ["url", "read-only", "querystring", "group-id", "put-seal-on"]
  },
  "sd-group-picker": {
    "description": "组织选择器\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdgrouppicker)",
    "attributes": [
      "single",
      "single-column",
      "v-model",
      "read-only",
      "disabled-keys",
      "required",
      "root-node",
      "default-expanded-keys",
      "hierarchical",
      "cancel",
      "@cancel"
    ]
  },
  "sd-group-tree": {
    "description": "组织树\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdgrouptree)",
    "attributes": ["default-selected-keys", "update:selectedKeys", "@update:selectedKeys"]
  },
  "sd-header-user-action": {
    "description": "框架通用header,默认带渐变色和logo\n\r* 8.0.12新增\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdheaderuseraction)",
    "attributes": []
  },
  "sd-header": {
    "description": "框架通用header,默认带渐变色和logo\n\r* 8.0.12新增\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdheader)",
    "attributes": []
  },
  "sd-icon-picker": {
    "description": "input框，通过弹出对话框选择图标\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdiconpicker)",
    "attributes": [
      "single-column",
      "v-model",
      "read-only",
      "disabled-keys",
      "required",
      "title",
      "option-label",
      "option-value",
      "render",
      "modal-props",
      "cancel",
      "@cancel"
    ]
  },
  "sd-icon": {
    "description": "与AIcon相同，theme支持fill/filled两种写法\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdicon)",
    "attributes": []
  },
  "sd-list-picker": {
    "description": "input框，通过弹出对话框，从列表中选择数据\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdlistpicker)",
    "attributes": [
      "single",
      "single-column",
      "v-model",
      "read-only",
      "disabled-keys",
      "required",
      "title",
      "option-label",
      "option-value",
      "render",
      "modal-props",
      "load-list-data",
      "cancel",
      "@cancel"
    ]
  },
  "sd-oa-table": {
    "description": "为了项目上能快速实现一个增删查改的模块，我们提供了组件 SdDataTableEx\n\r该组件需要配合固定格式的接口实现\n\r\n\r获取列表 api/framework/v1/page/businessList\n\r获取详情 api/framework/v1/page/wp/${pageId}?id={beanId}\n\r保存数据 api/framework/v1/page/handleData\n\r删除数据 api/framework/v1/page/${formId}?ids={beanId1},{beanId2}\n\r权限控制 api/framework/v1/user-perm/my-authed-perms\n\r\n\r* 8.0.12新增\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdoatable)",
    "attributes": [
      "columns",
      "show-header",
      "show-selection",
      "actions",
      "search-fields",
      "filter-expressions",
      "pagination",
      "hide-pagination",
      "form-id",
      "page-id",
      "data-url",
      "modal-props",
      "detailModalShow",
      "recordsDeleted",
      "recordSaved",
      "tableDataLoaded",
      "formBtnClick",
      "@detailModalShow",
      "@recordsDeleted",
      "@recordSaved",
      "@tableDataLoaded",
      "@formBtnClick"
    ]
  },
  "sd-picker-source-interface": {
    "description": "SdValuePicker的数据源：接口定义\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdpickersourceinterface)",
    "attributes": [
      "option-label",
      "option-value",
      "render",
      "single",
      "target-keys",
      "selected-keys",
      "item-select",
      "update-data-source",
      "data-source",
      "item-dbl-click",
      "search-value",
      "update-show-search",
      "disabled-keys"
    ]
  },
  "sd-picker-source-lazy-list": {
    "description": "SdValuePicker的数据源：懒加载列表\n\r* 8.0.13新增\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdpickersourcelazylist)",
    "attributes": ["title", "icon", "load-list-data", "show-search", "item-size"]
  },
  "sd-picker-source-list": {
    "description": "SdValuePicker的数据源：列表\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdpickersourcelist)",
    "attributes": ["title", "icon", "load-list-data", "show-search"]
  },
  "sd-picker-source-tree": {
    "description": "SdValuePicker的数据源：树结构\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdpickersourcetree)",
    "attributes": [
      "title",
      "icon",
      "load-tree-data",
      "search-tree-data",
      "default-expanded-keys",
      "treeItemSelect",
      "@treeItemSelect"
    ]
  },
  "sd-qrcode": {
    "description": "展示一个二维码\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdqrcode)",
    "attributes": ["value", "options"]
  },
  "sd-quill-editor": {
    "description": "vue-quill-editor的包装，适配了当前主题\n\r具体用法请参考：https://github.surmon.me/vue-quill-editor/\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdquilleditor)",
    "attributes": []
  },
  "sd-quill-reader": {
    "description": "富文本编辑器产生的内容，直接 v-html 绑定会丢失一些样式，所以需要用此组件显示\n\r* 0.18新增\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdquillreader)",
    "attributes": ["value"]
  },
  "sd-role-picker": {
    "description": "角色选择器\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdrolepicker)",
    "attributes": [
      "single",
      "single-column",
      "v-model",
      "read-only",
      "disabled-keys",
      "required",
      "option-value",
      "cancel",
      "@cancel"
    ]
  },
  "sd-select": {
    "description": "与a-select类似，但是value值可以是object\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdselect)",
    "attributes": [
      "read-only",
      "v-model",
      "options",
      "option-label",
      "option-value",
      "change",
      "@change"
    ]
  },
  "sd-suwell-reader": {
    "description": "\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdsuwellreader)",
    "attributes": ["url", "fileLoaded", "@fileLoaded"]
  },
  "sd-table": {
    "description": "在ATable的基础上，增加了列宽可拖动、可选列、数据可排序功能\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdtable)",
    "attributes": ["sortable", "update:data-source", "@update:data-source"]
  },
  "sd-text-diff": {
    "description": "显示两段文本的差异\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdtextdiff)",
    "attributes": ["text-1", "text-2"]
  },
  "sd-tree-picker": {
    "description": "input框，通过弹出对话框，从树形结构中选择数据\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdtreepicker)",
    "attributes": [
      "single",
      "single-column",
      "v-model",
      "read-only",
      "disabled-keys",
      "required",
      "title",
      "option-label",
      "option-value",
      "render",
      "modal-props",
      "load-tree-data",
      "search-tree-data",
      "default-expanded-keys",
      "cancel",
      "@cancel"
    ]
  },
  "sd-user-item": {
    "description": "鼠标悬浮到用户名时，支持显示更多详细信息\n\r* 8.0.12新增\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sduseritem)",
    "attributes": ["users"]
  },
  "sd-user-picker": {
    "description": "\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sduserpicker)",
    "attributes": [
      "single",
      "single-column",
      "v-model",
      "read-only",
      "disabled-keys",
      "required",
      "root-node",
      "hierarchical",
      "secret-level",
      "cancel",
      "@cancel"
    ]
  },
  "sd-value-picker": {
    "description": "input框，通过弹出对话框选择数据，支持列表、树等多种数据源\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdvaluepicker)",
    "attributes": [
      "single",
      "single-column",
      "v-model",
      "read-only",
      "disabled-keys",
      "required",
      "title",
      "option-label",
      "option-value",
      "render",
      "modal-props",
      "cancel",
      "change",
      "@cancel",
      "@change"
    ]
  },
  "sd-wps-reader": {
    "description": "嵌入网页中方式预览查看word、wps、pdf、ofd等类型文件，需配合【预览控件管理】使用\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdwpsreader)",
    "attributes": ["code", "filetype"]
  },
  "sd-webflow": {
    "description": "流程表单\n\r[查看文档](http://xcoamobile.smartdot.com:18080/#sdwebflow)",
    "attributes": [
      "validate-form",
      "removed-tabs",
      "header-buttons",
      "submit-buttons",
      "button-icons",
      "enable-attachment-ex-tab",
      "default-print-blocks",
      "change",
      "actionBtnClick",
      "@change",
      "@actionBtnClick"
    ]
  }
}
